Bug 6987 - Install fails with /RedHat on ntfs or extended fat partitons
Install fails with /RedHat on ntfs or extended fat partitons
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-11-13 06:47 EST by gcollins
Modified: 2015-01-07 18:39 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-11-16 08:19:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description gcollins 1999-11-13 06:47:36 EST
The install disks (xxx-RHEA-1999-044/045) cannot load /RedHat from either a
NTFS (on a primary partition) or fat (on an extended partition). At the
prompt for the location of /RedHat, neither partition appears as a choice.
Even if the update disk does resolve the problem, it doesn't help because
the installer won't prompt for the update disk until AFTER it's located
/RedHat!

By copying /RedHat to my existing linux root partition, I was able to get
the update disk loaded. I then tried backing up to the screen where you
select the location of /RedHat, but the install program aborted at that
point.

At the least, the installer should support loading /RedHat from a fat
filesystem on an extended partition...
Comment 1 Jay Turner 1999-11-16 08:19:59 EST
The installer was never meant to recognize source files on an NTFS partition, so
that is not really a bug.  We know that there are problems with the extended
partitions, and it actually related to extended partitions of type "f" as
opposed to the usual type "5"  We are going to be putting together another
update which will fix this problem, but until then the easiest workaround is to
change the type of the extended partition from type "f" to type "5", upgrade
your system, and then change the partition type back to "f".

*** This bug has been marked as a duplicate of 6482 ***

Note You need to log in before you can comment on or make changes to this bug.